.projects {
    &__container {
        width: 100%;
        max-width: $sm;
        margin: auto auto;
        padding: 2.5em 1.5em 0;

        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        @media (min-width: $md) {
            max-width: $md;
            padding: 2.5em 7.5em 0;
        }

        @media (min-width: $lg) {
            max-width: $xl;
            padding: 0 10em 5em;
        }
    }

    .project {
        width: 100%;
        height: 15em;
        margin: 1em 0;
        color: $biscay;
        font-weight: 400;
        position: relative;
        font-family: $font-d-condensed;

        display: flex;
        flex-direction: column;
        justify-content: center;

        &:hover {
            color: $biscay;
        }

        @media (min-width: $md) {
            margin: 2.5em 0;
        }

        @media (min-width: $lg) {
            margin: 5em 0;
        }

        &__image {
            position: absolute;
            width: 100%;
            height: 100%;
            background-size: cover;
            background-position: center center;
            transition: 0.5s opacity ease-in-out;

            &:hover {
                opacity: 0;
            }
        }

        &__cover {
            position: absolute;
            width: 100%;
            height: 100%;
            background: $vista-white;
        }

        &__small {
            background-color: $melanie;

            @media (min-width: $md) {
                height: 15em;
                max-width: 40%;
            }

            @media (min-width: $lg) {
                height: 20em;
            }
        }

        &__tall {
            background-color: $anakiwa;

            @media (min-width: $md) {
                height: 25em;
                max-width: 50%;
            }

            @media (min-width: $lg) {
                height: 35em;
            }
        }

        &__wide {
            background-color: $mint-tulip;

            @media (min-width: $md) {
                height: 15em;
                max-width: 75%;
            }

            @media (min-width: $lg) {
                height: 25em;
            }
        }

        .information {
            padding: 3em;

            &__heading {
                max-width: 5em;
                font-size: 45px;
    
                @media (min-width: $lg) {
                    font-size: 65px;
                }
            }
    
            &__sub-heading {
                font-size: 30px;
                margin-left: -0.5em;
    
                @media (min-width: $lg) {
                    font-size: 40px;
                }
            }
        }
    }
}
